.character {
    h3 {
        margin-top: 1em;
        font-family: $serif;
        font-weight: 600;
        color: var(--primary);
        line-height: 1;
        border-bottom: 1px solid var(--primary);
    }
    label,
    h4 {
        font-family: $sans-serif;
        font-size: 10px;
        font-weight: 800;
        line-height: 1;
        text-transform: uppercase;
        color: var(--primary);
    }
    input {
        font-family: $body-serif;
        font-weight: bold;
        width: calc(100% - 8px);
        border-bottom: 1px solid #d3ccbc;
        text-transform: capitalize;
        &::placeholder {
            color: var(--body);
        }
        &:focus {
            border-bottom: 1px solid #644f33;
        }
    }
    select {
        width: calc(100% - 8px);
        background-color: var(--alt);
        border: 1px solid darken($alt-color, 8);
    }
    .character-details {
        display: grid;
        grid:
            'img alignment deity' 30px
            'img details details' 150px
            / 120px 120px 1fr;

        .frame {
            grid-area: img;
            cursor: pointer;
            z-index: 3;
            .wrapper {
                display: block;
                background: url('../assets/sheet-bg.jpg') no-repeat;
                background-size: cover;
                .player-image {
                    object-fit: cover;
                    object-position: center;
                    border: none;
                    border-radius: 0;
                    max-height: 150px;
                    @include brown-border;
                }
            }
        }

        .alignment {
            grid-area: alignment;
            position: relative;
            display: flex;
            align-items: center;
            justify-content: center;
            background: url('../assets/sheet/banner-bg.png') repeat-x center;
            height: 31px;
            z-index: 1;
            input[type='text'] {
                font-family: $body-serif;
                font-size: 14px;
                font-weight: 700;
                text-align: center;
                max-width: 138px;
            }
            &::after {
                position: absolute;
                content: '';
                height: 31px;
                width: 15px;
                top: 0;
                right: -11px;
                background: url('../assets/sheet/banner-bg2.png') no-repeat
                    right;
            }
        }

        .deity {
            grid-area: deity;
            display: flex;
            justify-content: flex-end;
            align-items: center;
            .dropdown {
                display: flex;
                flex-direction: column;
                align-items: flex-end;
                select {
                    all: initial;
                    display: block;
                    cursor: pointer;
                    font-family: $body-serif;
                    line-height: 1;
                    font-weight: 700;
                    font-size: 14px;
                    text-transform: capitalize;
                }
            }
            img {
                height: 32px;
                width: 32px;
                border-radius: 16px;
                margin-left: 8px;
                @include brown-border;
            }
        }

        .detail-sheet {
            grid-area: details;
            display: grid;
            grid-template-columns: 2fr 3fr;
            grid-template-rows: repeat(3, 1fr);
            grid-row-gap: 8px;
            padding-left: 12px;
            margin-top: 8px;

            .pc {
                &_heritage,
                &_background,
                &_weight {
                    margin: 0;
                }
            }
            .detail-small {
                display: flex;
            }
        }
    }

    .character-traits {
        display: flex;
        flex-wrap: wrap;

        .pc {
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            align-items: flex-start;
            flex: 20%;
            margin-bottom: 8px;

            &_speed-types {
                flex: 50%;
            }

            &_senses {
                flex: 50%;
            }

            &_languages {
                flex: 100%;
                margin-bottom: 0;
            }

            label,
            h4 {
                margin: 0;
            }

            .tags {
                margin: 0;
                padding: 0;
                li {
                    &.tag {
                        background-color: var(--alt);
                        box-shadow: inset 0 0 0 1px rgba(black, 0.3);
                    }
                    &.edit-btn {
                        background-color: var(--primary);
                        a {
                            color: white;
                        }
                    }
                }
            }

            .tags,
            select,
            input {
                margin-top: 4px;
            }
        }
    }

    .ability-scores {
        @include p-reset;
        display: grid;
        grid: repeat(2, 1fr) / repeat(3, 1fr);
        justify-content: center;
        list-style: none;
        gap: 12px;

        .ability {
            display: grid;
            grid:
                '. label label' auto
                'prefix score mod' 1fr
                / 1fr 1fr 1fr;
            column-gap: 4px;
            align-items: center;

            .ability-name {
                grid-area: label;
                margin: 0;
            }
            .ability-id {
                grid-area: prefix;
                font-size: 28px;
                color: var(--primary);
                font-family: $serif;
                font-weight: 500;
                text-align: right;
                @include p-reset;
                margin-right: 4px;
                border: none;
            }
            .ability-score {
                grid-area: score;
                border-radius: 0;
                font-size: 0;
                input {
                    font-size: 24px;
                    border: none;
                    text-align: center;
                    padding: 0;
                    border-bottom: 1px solid #d3ccbc;
                }
            }
            .ability-mod {
                grid-area: mod;
                border: none;
                border: 1px solid var(--primary);
                @include p-reset;
            }

            .ability-mod,
            .ability-score,
            .ability-score input {
                height: 40px;
                width: 40px;
                @include flex-center;
            }
        }
    }
}
